# Generated from algorithmix-0.0.0.7.gem by gem2rpm -*- rpm-spec -*-
%global gem_name algorithmix

Name: rubygem-%{gem_name}
Version: 0.0.0.7
Release: 1%{?dist}
Summary: The gem contains various implementations of known and uknown data structures and algorithms
License: MIT
URL: https://github.com/monzita/algorithmix/wiki
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(require_all) >= 2.0.0
BuildArch: noarch

%description
The gem contains various implementations of known
and uknown data structures and algorithms. 
/Currently the gem contains: #stack, #queue, #deque, #binary_heap,
#priority_queue, #linked_list,
#double_linked_list/.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/logo.png
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/algorithmix.gemspec

%changelog
* Sun Sep 12 2021 mockbuilder - 0.0.0.7-1
- Initial package
